package com.mortals.xhx.module.attendance.dao.ibatis;


import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.xhx.module.attendance.dao.AttendanceRecordDao;
import com.mortals.xhx.module.attendance.model.AttendanceRecordEntity;
import org.springframework.stereotype.Repository;

/**
 * 考勤打卡记录信息DaoImpl DAO接口
 *
 * @author zxfei
 * @date 2023-04-07
 */
@Repository("attendanceRecordDao")
public class AttendanceRecordDaoImpl extends BaseCRUDDaoMybatis<AttendanceRecordEntity, Long> implements AttendanceRecordDao {


    @Override
    public AttendanceRecordEntity getRecordId(Long id) {
        return getSqlSession().selectOne(getSqlId("getRecordId"), id);
    }

    @Override
    public int deleteDuplicateRecord() {
        return getSqlSession().delete(getSqlId("delete-duplicate-record"));
    }
}
