package com.mortals.xhx.module.attendance.model.vo;

import lombok.Data;

import java.util.Date;

/**
 * 考勤异常汇总
 */
@Data
public class ErrorSummaryVo {
    /**
     * 员工ID
     */
    private Long staffId;
    /**
     * 员工姓名
     */
    private String staffName;
    /**
     * 工号
     */
    private String workNum;
    /**
     * 年
     */
    private Integer year;
    /**
     * 月
     */
    private Integer month;
    /**
     * 日
     */
    private Integer day;
    /**
     * 缺卡次数
     */
    private Integer morningTimes;
    private Integer afternoonTimes;
    /**
     * 考勤汇总-迟到（次）
     */
    private Integer lateTimes;
    /**
     * 考勤汇总-早退（次）
     */
    private Integer overtimeTimes;
    /**
     * 员工状态(1.正式,2.试用,3.离职)
     */
    private Integer status;
    /**
     * 离职时间
     */
    private Date leaveDate;

    /** 异常次数 **/
    private Integer errorCount;
    /**
     * 入职时间
     */
    private Date entryDate;

    /** 事假半天 */
    private Integer leaveHalfDay;
    /** 事假全天 */
    private Integer leaveDay;
}
