package com.mortals.xhx.module.attendance.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.attendance.dao.AttendanceRecordDao;
import com.mortals.xhx.module.attendance.dao.AttendanceRecordHikDao;
import com.mortals.xhx.module.attendance.model.AttendanceRecordEntity;
import com.mortals.xhx.module.attendance.model.vo.AttendStatInfo;

/**
 * AttendanceRecordService
 * <p>
 * 考勤打卡记录信息 service接口
 *
 * @author zxfei
 * @date 2023-04-07
 */
public interface AttendanceRecordService extends ICRUDService<AttendanceRecordEntity, Long> {

    AttendanceRecordDao getDao();

    Rest<AttendStatInfo> statByDay(Context context);

}