package com.mortals.xhx.module.staff.dao.ibatis;


import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.staff.dao.StaffPerformSummaryDao;
import com.mortals.xhx.module.staff.model.StaffPerformSummaryEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
import java.util.Map;

/**
* 员工绩效统计DaoImpl DAO接口
*
* @author zxfei
* @date 2023-07-05
*/
@Repository("staffPerformSummaryDao")
public class StaffPerformSummaryDaoImpl extends BaseCRUDDaoMybatis<StaffPerformSummaryEntity,Long> implements StaffPerformSummaryDao {


    @Override
    public int updateSumScore(Map<String,Object> condition) {
        return this.getSqlSession().update(this.getSqlId("updateSumScore"),condition);
    }
}
