package com.mortals.xhx.module.attendance.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.attendance.model.AttendanceRecordErrorEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 考勤打卡记录异常信息视图对象
*
* @author zxfei
* @date 2023-04-08
*/
@Data
public class AttendanceRecordErrorVo extends BaseEntityLong {

    /**
     * 上班or下班
     */
    private String goOrOff;

    /**
     * 接收批量处理的结果
     */
    private List<AttendanceRecordErrorEntity> recordErrorEntities;


    /** 开始 异常时间 */
    private String errorDateTimeStart;

    /** 结束 异常时间 */
    private String errorDateTimeEnd;


    private Integer duration;


}
