package com.mortals.xhx.module.perform.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.perform.model.PerformAttendAppealEntity;
import com.mortals.xhx.module.perform.model.vo.AppealInfo;
import com.mortals.xhx.module.perform.model.vo.AppealSummaryQuery;

import java.util.List;
/**
* 绩效记录申诉信息Dao
* 绩效记录申诉信息 DAO接口
*
* @author zxfei
* @date 2023-07-12
*/

public interface  PerformAttendAppealDao extends ICRUDDao<PerformAttendAppealEntity,Long>{

    String SQLID_GET_STATLIST = "getStatList";

    List<AppealInfo> getStatList(PerformAttendAppealEntity query, PageInfo pageInfo);

    /**
     * 申述分布情况统计
     * @param query
     * @return
     */
    List<PerformAttendAppealEntity> getAppealSummaryList(AppealSummaryQuery query);

    Result<PerformAttendAppealEntity> getListExt(PerformAttendAppealEntity params, PageInfo pageInfo);
}
