package com.mortals.xhx.module.perform.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.PerformErrorMessageEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 绩效异常信息视图对象
*
* @author zxfei
* @date 2024-04-28
*/
@Data
public class PerformErrorMessageVo extends BaseEntityLong {

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 异常时间 */
    private String errorTimeStart;

    /** 结束 异常时间 */
    private String errorTimeEnd;

    private String yearmonth;

    /** 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)列表 */
    private List <Integer> appealStatusList;

    /** 绩效责任人id列表 */
    private List <Long> staffIdList;
}