package com.mortals.xhx.module.staff.model.vo;

import lombok.Data;

@Data
public class StaffCheckAuthorizePdu {
    private Long staffId;
    /** 核查类型枚举CheckTypeEnum(1.考勤绩效,2.评价绩效,3.办件绩效,4.效能绩效,5.其它绩效,6.投诉绩效) */
    private Integer type;

    /**
     * 考勤授权(0.不启用,1.启用)
     */
    private Integer attendCheck;
    /**
     * 评价授权(0.不启用,1.启用)
     */
    private Integer complainCheck;
    /**
     * 投诉授权(0.不启用,1.启用)
     */
    private Integer reviewCheck;
    /**
     * 办件授权(0.不启用,1.启用)
     */
    private Integer goworkCheck;
    /**
     * 效能授权(0.不启用,1.启用)
     */
    private Integer effectCheck;
    /**
     * 其他授权(0.不启用,1.启用)
     */
    private Integer otherCheck;
}
