package com.mortals.xhx.module.staff.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.staff.model.StaffPerformSummaryEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 员工绩效统计视图对象
*
* @author zxfei
* @date 2023-07-14
*/
@Data
public class StaffPerformSummaryVo extends BaseEntityLong {
    /**
     * 联系电话
     */
    @Excel(name = "手机号码",sort = 3)
    private String phoneNumber;

    private Integer sortKind;
    @Excel(name = "备注2",sort = 20)
    private String remarkAddDesc;
    @Excel(name = "政务服务管理科审核等次(“好”等次比例40%) ",sort = 17)
    private String beiyong1;
    @Excel(name = "服务明星推荐 (“好”等次20%)",sort = 18)
    private String beiyong2;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;
}